function showtv(X,Z,itr,ival,i)

if (length(ival)==0) 
    show(X,Z,i)
    return
end
[N,n]=size(X); a=1:n; clf
scatter(a(Z==0),X(i,Z==0),'b'); hold on
scatter(a(Z==1),X(i,Z==1),'r')
a=ival(find(Z(ival)==0)); scatter(a,X(i,a),'c'); 
a=ival(find(Z(ival)==1)); scatter(a,X(i,a),'m'); 
hold off
%


